package org.dromara.payment.operator.service;

import org.dromara.payment.operator.domain.BusOperatorFlows;
import org.dromara.payment.operator.domain.vo.BusOperatorFlowsVo;
import org.dromara.payment.operator.domain.bo.BusOperatorFlowsBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 运营商流水Service接口
 *
 * @author LionLi
 * @date 2024-03-28
 */
public interface IBusOperatorFlowsService {

    /**
     * 查询运营商流水
     */
    BusOperatorFlowsVo queryById(Long id);

    /**
     * 查询运营商流水列表
     */
    TableDataInfo<BusOperatorFlowsVo> queryPageList(BusOperatorFlowsBo bo, PageQuery pageQuery);

    /**
     * 查询运营商流水列表
     */
    List<BusOperatorFlowsVo> queryList(BusOperatorFlowsBo bo);

    /**
     * 新增运营商流水
     */
    Boolean insertByBo(BusOperatorFlowsBo bo);

    /**
     * 修改运营商流水
     */
    Boolean updateByBo(BusOperatorFlowsBo bo);

    /**
     * 校验并批量删除运营商流水信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
